'\"
'\" Copyright (c) 1993-1998  Lucent Technologies, Inc.
'\"
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\"
'\" RCS: $Id: itcl_info.n,v 1.2 1998/10/29 21:24:20 stanton Exp $
'\"
.so man.macros
.TH itcl_info n 3.0 itcl "[incr\ Tcl]"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
itcl_info \- query info regarding classes and objects (obsolete)
.SH SYNOPSIS
\fBitcl_info classes ?\fIpattern\fR?
.br
\fBitcl_info objects ?\fIpattern\fR? ?\fB-class \fIclassName\fR? ?\fB-isa \fIclassName\fR?
.BE

.SH DESCRIPTION
.PP
This command is considered obsolete, but is retained for
backward-compatibility with earlier versions of \fB[incr\ Tcl]\fR.
It has been replaced by the "\fBfind classes\fR" and "\fBfind objects\fR"
commands, which should be used for any new development.

.PP
The following commands are available in the global namespace to
query information about classes and objects that have been created.
.TP
\fBitcl_info classes ?\fIpattern\fR?
Returns a list of classes available in the current namespace context.
.VS
If a class belongs to the current namespace context, its simple name
is reported; otherwise, if a class is imported from another namespace,
its fully-qualified name is reported.
.VE
.sp
If the optional \fIpattern\fR is specified, then the reported names
are compared using the rules of the "\fBstring match\fR" command,
and only matching names are reported.
.TP
\fBitcl_info objects ?\fIpattern\fR? ?\fB-class \fIclassName\fR? ?\fB-isa \fIclassName\fR?
Returns a list of objects available in the current namespace context.
.VS
If an object belongs to the current namespace context, its simple name
is reported; otherwise, if an object is imported from another namespace,
its fully-qualified access command is reported.
.VE
.sp
If the optional \fIpattern\fR is specified, then the reported names
are compared using the rules of the "\fBstring match\fR" command,
and only matching names are reported.
If the optional "\fB-class\fR" parameter is specified, this list is
restricted to objects whose most-specific class is \fIclassName\fR.
If the optional "\fB-isa\fR" parameter is specified, this list is
further restricted to objects having the given \fIclassName\fR
anywhere in their heritage.

.SH KEYWORDS
class, object, object-oriented
